Package com.saxonica.ee.optim

## Class SwitchExpression.SwitchCaseInfo

- java.lang.Object
- - com.saxonica.ee.optim.SwitchExpression.SwitchCaseInfo

- Enclosing class:
    SwitchExpression

      public static class SwitchExpression.SwitchCaseInfo
      extends java.lang.Object

  Data structure used for holding details of a switch expression

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.List<Expression>` | `actions` |
    `StringCollator` | `collation` |
    `Expression` | `commonlhs` |
    `BuiltInAtomicType` | `commontype` |
    `Expression` | `defaultAction` |
    `java.util.HashMap<AtomicMatchKey,​Expression>` | `index` |
    `java.util.HashMap<AtomicMatchKey,​AtomicValue>` | `originalValues` |
    `java.util.List<AtomicValue>` | `values` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SwitchCaseInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `makeIndex()` | Attempt to make the index from atomic values to expressions

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### index

          public java.util.HashMap<AtomicMatchKey,​Expression> index

    - #### originalValues

          public java.util.HashMap<AtomicMatchKey,​AtomicValue> originalValues

    - #### commonlhs

          public Expression commonlhs

    - #### commontype

          public BuiltInAtomicType commontype

    - #### collation

          public StringCollator collation

    - #### values

          public java.util.List<AtomicValue> values

    - #### actions

          public java.util.List<Expression> actions

    - #### defaultAction

          public Expression defaultAction

  - ### Constructor Detail

    - #### SwitchCaseInfo

          public SwitchCaseInfo()

  - ### Method Detail

    - #### makeIndex

          public boolean makeIndex()

      Attempt to make the index from atomic values to expressions
      Returns:
        true if successful, false if there is an atomic value that is not comparable